;title='NeXT Toolkit'
;creator='MisterVampi, B3711'
;color=red
;version=2.0.0


[Versions]
[*Versions]
;mode=table
;background=true
;gap=20
json_file ./last_version.json
list_file '/NEXT/NEXTV.txt'
'Available NeXT' = {json_file(tag_name)}
"Installed NeXT" = '{list_file(0)}'
'HOS / Firmware' = {hos_version}
'AMS version' = {ams_version}


[Install / Update Homebrews]
[Edizon SE / 3.8.36]
;mode=option
;mini=true
;selection_mini=true
try:
notify "Downloading..."
download https://github.com/tomvita/EdiZon-SE/releases/download/3.8.36/EdiZon.zip /config/ultrahand/downloads/edizon.zip
notify "Extracting..."
unzip /config/ultrahand/downloads/edizon.zip /config/ultrahand/downloads/unzip
notify "Installing / Updating"
move /config/ultrahand/downloads/unzip/ /
delete /config/ultrahand/downloads/edizon.zip
notify "Done!!"

[Aio-Updater / 2.23.3]
;mode=option
;mini=true
;selection_mini=true
try:
notify "Downloading..."
download https://github.com/HamletDuFromage/aio-switch-updater/releases/download/2.23.3/aio-switch-updater.zip /config/ultrahand/downloads/aio.zip
notify "Extracting..."
unzip /config/ultrahand/downloads/aio.zip /config/ultrahand/downloads/unzip
notify "Installing / Updating"
move /config/ultrahand/downloads/unzip/ /
delete /config/ultrahand/downloads/aio.zip
notify "Done!!"

[Awoo Installer / 1.3.6]
;mode=option
;mini=true
;selection_mini=true
try:
notify "Downloading..."
download https://github.com/Huntereb/Awoo-Installer/releases/download/1.3.6/Awoo-Installer.zip /config/ultrahand/downloads/awoo.zip
notify "Extracting..."
unzip /config/ultrahand/downloads/awoo.zip /config/ultrahand/downloads/unzip
notify "Installing / Updating"
move /config/ultrahand/downloads/unzip/ /
delete /config/ultrahand/downloads/awoo.zip
notify "Done!!"

[FTPD Pro / v3.2.1]
;mode=option
;mini=true
;selection_mini=true
try:
notify "Downloading..."
download https://github.com/mtheall/ftpd/releases/download/v3.2.1/ftpd.nro /config/ultrahand/downloads/ftpd.nro
notify "Installing / Updating"
move /config/ultrahand/downloads/ftpd.nro /switch/
notify "Done!!"

[HB App Store / v2.3.2]
;mode=option
;mini=true
;selection_mini=true
try:
notify "Downloading..."
download https://github.com/fortheusers/hb-appstore/releases/download/v2.3.2/appstore.nro /config/ultrahand/downloads/appstore.nro
notify "Installing / Updating"
move /config/ultrahand/downloads/appstore.nro /switch/
notify "Done!!"

[JKSV / 12/02/2025]
;mode=option
;mini=true
;selection_mini=true
try:
notify "Downloading..."
download https://github.com/J-D-K/JKSV/releases/download/12/02/2025/JKSV.nro /config/ultrahand/downloads/JKSV.nro
notify "Installing / Updating"
move /config/ultrahand/downloads/JKSV.nro /switch/
notify "Done!!"

[NX Shell / 4.01]
;mode=option
;mini=true
;selection_mini=true
try:
notify "Downloading..."
download https://github.com/joel16/NX-Shell/releases/download/4.01/NX-Shell.nro /config/ultrahand/downloads/NX-Shell.nro
notify "Installing / Updating"
move /config/ultrahand/downloads/NX-Shell.nro /switch/
notify "Done!!"

[NX Theme Installer / v4.8.3]
;mode=option
;mini=true
;selection_mini=true
try:
notify "Downloading..."
download https://github.com/exelix11/SwitchThemeInjector/releases/download/v4.8.3/NXThemesInstaller.nro /config/ultrahand/downloads/NXThemesInstaller.nro
notify "Installing / Updating"
move /config/ultrahand/downloads/NXThemesInstaller.nro /switch/
notify "Done!!"

[Sphaira / 1.0.0]
;mode=option
;mini=true
;selection_mini=true
try:
notify "Downloading..."
download https://github.com/ITotalJustice/sphaira/releases/download/1.0.0/sphaira.zip /config/ultrahand/downloads/sphaira.zip
notify "Extracting..."
unzip /config/ultrahand/downloads/sphaira.zip /config/ultrahand/downloads/unzip
notify "Installing / Updating"
move /config/ultrahand/downloads/unzip/ /
delete /config/ultrahand/downloads/sphaira.zip
notify "Done!!"

[Themezer / 2.0.3]
;mode=option
;mini=true
;selection_mini=true
try:
notify "Downloading..."
download https://github.com/suchmememanyskill/themezer-nx/releases/download/2.0.3/themezer-nx.nro /config/ultrahand/downloads/themezer-nx.nro
notify "Installing / Updating"
move /config/ultrahand/downloads/themezer-nx.nro /switch/
notify "Done!!"

[Install / Update Sys-Modules]
[Emuiibo / 1.1.1]
;mode=option
;mini=true
;selection_mini=true
try:
notify "Downloading..."
download https://github.com/XorTroll/emuiibo/releases/download/1.1.1/emuiibo.zip /config/ultrahand/downloads/emuiibo.zip
notify "Extracting..."
unzip /config/ultrahand/downloads/emuiibo.zip /config/ultrahand/downloads/unzip
notify "Installing / Updating"
move /config/ultrahand/downloads/unzip/sdOut /
delete /config/ultrahand/downloads/emuiibo.zip
notify "Done!!"

[Mission Control / v0.14.0]
;mode=option
;mini=true
;selection_mini=true
try:
notify "Downloading..."
download https://github.com/ndeadly/MissionControl/releases/download/v0.14.0/MissionControl-0.14.0-master-41606c08.zip /config/ultrahand/downloads/missioncontrol.zip
notify "Extracting..."
unzip /config/ultrahand/downloads/missioncontrol.zip /config/ultrahand/downloads/unzip
notify "Installing / Updating"
move /config/ultrahand/downloads/unzip/ /
delete /config/ultrahand/downloads/missioncontrol.zip
notify "Done!!"

[SaltyNX / 1.6.2]
;mode=option
;mini=true
;selection_mini=true
try:
notify "Downloading..."
download https://github.com/masagrator/SaltyNX/releases/download/1.6.2/SaltyNX.zip /config/ultrahand/downloads/saltynx.zip
notify "Extracting..."
unzip /config/ultrahand/downloads/saltynx.zip /config/ultrahand/downloads/unzip
notify "Installing / Updating"
move /config/ultrahand/downloads/unzip/ /
delete /config/ultrahand/downloads/saltynx.zip
notify "Done!!"

[Sys-CLK / 2.0.1]
;mode=option
;mini=true
;selection_mini=true
try:
notify "Downloading..."
download https://github.com/retronx-team/sys-clk/releases/download/2.0.1/sys-clk-2.0.1-21fix.zip /config/ultrahand/downloads/sysclk.zip
notify "Extracting..."
unzip /config/ultrahand/downloads/sysclk.zip /config/ultrahand/downloads/unzip
notify "Installing / Updating"
move /config/ultrahand/downloads/unzip/ /
delete /config/ultrahand/downloads/sysclk.zip
notify "Done!!"

[Sys-con / 1.6.1]
;mode=option
;mini=true
;selection_mini=true
try:
notify "Downloading..."
download https://github.com/o0Zz/sys-con/releases/download/1.6.1/sys-con-1.6.1.zip /config/ultrahand/downloads/syscon.zip
notify "Extracting..."
unzip /config/ultrahand/downloads/syscon.zip /config/ultrahand/downloads/unzip
notify "Installing / Updating"
move /config/ultrahand/downloads/unzip/ /
delete /config/ultrahand/downloads/syscon.zip
notify "Done!!"

[Extras]
[Retroarch Nightly]
;mode=option
;mini=true
;selection_mini=true
try:
notify "Downloading..."
download https://vampitech.net/switch/toolkit/assets/RetroArch.zip /config/ultrahand/downloads/retroarch.zip
notify "Extracting..."
unzip /config/ultrahand/downloads/retroarch.zip /config/ultrahand/downloads/unzip
notify "Install will take a while" 20
move /config/ultrahand/downloads/unzip/ /
delete /config/ultrahand/downloads/retroarch.zip
notify "Done!!"

[Tinfoil 20]
;mode=option
;mini=true
;selection_mini=true
try:
notify "Downloading..."
download https://vampitech.net/switch/toolkit/assets/tinfoil.zip /config/ultrahand/downloads/tinfoil.zip
notify "Extracting..."
unzip /config/ultrahand/downloads/tinfoil.zip /config/ultrahand/downloads/unzip
notify "Install will take a while"
move /config/ultrahand/downloads/unzip/ /
delete /config/ultrahand/downloads/tinfoil.zip
notify "Done!!"
